{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Forum</title>    
    <link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script src="https://code.jquery.com/ui/1.13.0/jquery-ui.js"></script>
    <script type="text/javascript">var myForum = "{{ request.user.username }}";</script>
    <script type="application/javascript" src="{% static 'forum/js/ajax1.js' %}"></script>
{% endblock meta %}

{% block content %}
    <div class="container" style="margin-bottom:110px;">
        <h1 class="text-center display-4 fw-bold" style="color: #FFFFFF;">Forum</h1>
        <hr class="my-4" style="width: 10%; height: 3px; background-color: #FFFFFF; margin: auto">
            <div id="search" class="leftright ">
                <select id="select" class="form-select form-control arrow">
                <option value="all">All</option>
                <option value="judul">Title</option>
                <option value="isi">Content</option>
                <option value="penulis">Author</option>
                </select>
                <input id="inputSearch" class="form-control" placeholder="Search"/>
            </div>

            <div class="drpdwnSearch-content topdown" style="margin-bottom:30px";></div>
            
            <div id="load2" style="text-align: center";>
                <img src="{% static 'forum/img/snail.gif' %}" width=80px height=80px />
            </div>

            <div class="row text-center">
                <div class="col-sm  selector category-selector">
                    <a href="{% url 'forum:forum2' 'all' %}" 
                        {% if category == 'all' %} class="all-top selected"
                        {% else %} class="selector-content"
                        {% endif %}>
                        <img src="{% static 'forum/img/allDiscuss.png' %}" width=32px height=32px />
                        <p class="selector-p" id="selector-p">All Category</p>
                    </a>
                </div>

                <div class="col-sm  selector category-selector">
                    <a href="{% url 'forum:forum2' 'general' %}" 
                        {% if category == 'general' %} class="general-top selected"
                        {% else %} class="selector-content"
                        {% endif %}>
                        <img src="{% static 'forum/img/generalDiscuss.png' %}" width=32px height=32px />
                        <p class="selector-p" id="selector-p">General Discussion</p>
                    </a>
                </div>

                <div class="col-sm selector category-selector">
                    <a href="{% url 'forum:forum2' 'covid' %}" 
                        {% if category == 'covid' %} class="covid-top selected"
                        {% else %} class="selector-content"
                        {% endif %}>
                        <img src="{% static 'forum/img/virus.png' %}" width=32px height=32px />
                        <p class="selector-p">Covid Info</p>
                    </a>
                </div>

                <div class="col-sm selector category-selector">
                    <a href="{% url 'forum:forum2' 'drug' %}" 
                        {% if category == 'drug' %} class="drug-top selected"
                        {% else %}class="selector-content"
                        {% endif %}>
                        <img src="{% static 'forum/img/drugInfo.png' %}" width=32px height=32px />
                        <p class="selector-p">Drug Info</p>
                    </a>
                </div>

                {% if user.is_authenticated %}
                <div class="col-sm selector category-selector">
                    <a href="{% url 'forum:forum2' 'user' %}" 
                        {% if category == 'user' %} class="all-top selected"
                        {% else %} class="selector-content"
                        {% endif %}>
                        <img src="{% static 'forum/img/user.png' %}" width=30px height=30px />
                        <p class="selector-p">My Discussion</p>
                    </a>
                </div>
                {% endif %}
            </div>

            <div id="diskusi" class="topdown text-center ">
                <div style="padding-bottom: 20px;">
                    <a href="{% url 'forum:addPost' %}" class="button1" id="bodyButton">Start Discussion</a>
                </div>
                {% if diskusi %}
                    {% for d in diskusi %}
                        <div class="post" onclick="location.href='{% url 'forum:readForum' d.pk %}';">
                            <div class="topdown inside-post center b">
                                    <div class="profile" 
                                        {% for warna in colorProfile %}
                                            {% if warna.user == d.penulis %} 
                                            style="background-color: {{warna.colorHex}};"
                                            {% endif %}
                                        {% endfor %}>
                                        <div class="center inisial">
                                            {{ d.penulis|make_list|first|upper }}
                                        </div>
                                    </div>

                                <div class="topdown snippet fontall">
                                    <div class="judulPost">
                                        {{ d.judul|truncatechars:35 }} <br>
                                    </div>
                                    <span class="subJudulPost">
                                        <a href="{% url 'forum:forum2' d.kategori %}" 
                                            {% if d.kategori == 'general' %} class="tipe1"
                                            {% elif d.kategori == 'covid' %} class="tipe2"
                                            {% elif d.kategori == 'drug' %} class="tipe3"
                                            {% endif %}>
                                            
                                            {% if d.kategori == 'general' %} [General Discussion]
                                            {% elif d.kategori == 'covid' %} [Covid Info]
                                            {% elif d.kategori == 'drug' %} [Drug Info]
                                            {% endif %}
                                        </a> 
                                            by 
                                        <a href="{% url 'forum:profil' d.penulis.username %}" class="edit"> 
                                            {{ d.penulis }} 
                                        </a>  on {{ d.DateTime|date:'d-M-Y H:i' }} WIB  
                                        {% if d.penulis == request.user %}           
                                            <a href="{% url 'forum:editPost' d.pk %}" class="edit"></br> edit </a> | 
                                            <a href="{% url 'forum:confirmDeletePost' d.pk %}" class="edit"> delete </a>
                                        {% endif %}
                                    </span>
                                    <div class='b'>
                                        {{ d.isi|safe|truncatechars:50 }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>

            <!-- Forum Status -->
            <div class="forum-status text-center" style="padding-top: 20px;">
                <div class="chart" style="padding-bottom: 5px;">
                    Forum Status <img src="{% static 'forum/img/stat.png' %}" style= "margin-bottom:2px; width:30px; height:30px;" />
                </div>
                <span >
                    {% if diskusi|length < 2 %} {{diskusi|length}} Post
                    {% else %} {{diskusi|length}} Posts
                    {% endif %} in 
                    
                    {% if category == 'all' %} All Category
                    {% elif category == 'general' %} General Discussion
                    {% elif category == 'covid' %} Covid Info
                    {% elif category == 'drug' %} Drug Info
                    {% elif category == 'user' %} My Discussion
                    {% endif %} <br>
                    Total

                    {% if num_users < 2 %} {{num_users}} User
                    {% else %} {{num_users}} Users 
                    {% endif %}
                </span><br>
            </div>
    </div>
{% endblock content %}